Subject: [Ksummit-2013-discuss] ARM topic: Is DT on ARM the solution, or is there something better?

From: [email-masked] (Guenter Roeck)
Date: Tue, 22 Oct 2013 12:16:00 -0700

On Tue, Oct 22, 2013 at 07:21:46PM +0100, Peter Maydell wrote:
> On 22 October 2013 18:42, Nicolas Pitre <[email-masked]> wrote:
> > Having "stable" DT bindings is just a dream.  Experience so far is
> > showing that this is neither practical nor realistic.
> >
> > The unstructured free-for-all approach isn't good either.  Some
> > compromise between the two extremes needs to be found.
> 
> While I entirely agree that the concept of DT bindings as stable
> ABI is a complete pipe dream, it would be nice if we could have
> some suitably restricted parts of it that are defined as stable,
> for the benefit of tools like kvmtool and QEMU which construct
> device tree blobs from scratch to describe the virtual machine
> environment. (That means roughly CPUs, RAM, virtio-mmio
> devices and a UART at least.)
> 
> As the person who has to maintain the device-tree-writing
> code for ARM QEMU, I'd actually trust a carefully limited
> guarantee of ABI stability for specific bindings much more
> than I do the current airy promises that everything is stable.
> 

Agreed. I like the idea of Documentation/ABI, though of course
it would help if its contents would move from testing/ to stable/
at some point ;-).

Guenter